/**
 * 配置通用 
 */
// const baseUrl = 'https://wx.hw.hongweisoft.com/veterans' // 测试环境地址
// const baseUrl = 'http://api.veterans.hongweisoft.com' // 正式环境地址
const node_dev = process.env.H_NODE_ENV
let {
	baseUrl,
	timChatUrl,
	viewInterviewUrl
} = {
	baseUrl: 'https://wx.hw.hongweisoft.com/veterans',
	timChatUrl: 'https://veterh5.hw.hongweisoft.com/chat/pages/login/login',
	viewInterviewUrl: 'https://veterhwebchat.hw.hongweisoft.com/#/'
}
console.log(node_dev);
if (node_dev) {
	baseUrl = process.env.H_BASE_URL
	timChatUrl = process.env.H_TIM_CHAT_URL
	viewInterviewUrl = process.env.H_VIDEO_CHAT_URL
}
const config = {
	baseUrl: `${baseUrl}/app`, // 201服务器地址
	uploadUrl: `${baseUrl}/file/upload/single/minio`, // 测试环境上传地址
	timChatUrl, // 线上退役军人聊天TIM
	viewInterviewUrl, // 视频聊天地址
	version: '1.0.2'
}
export {
	config
}
